export ARCHS = arm64 arm64e

THEOS_DEVICE_IP = 127.0.0.1
THEOS_DEVICE_PORT = 2222

TARGET := iphone:clang:latest:12.0
INSTALL_TARGET_PROCESSES = SpringBoard


include $(THEOS)/makefiles/common.mk


TWEAK_NAME = OhNo


OhNo_FRAMEWORKS = CoreLocation CFNetwork CoreTelephony Security
OhNo_FILES = Tweak.x $(wildcard server/*.m) $(wildcard server/Core/*.m)
OhNo_CFLAGS = -Wno-error -Wno-module-import-in-extern-c -fobjc-arc


include $(THEOS_MAKE_PATH)/tweak.mk


before-all::
	@echo "Starting the build process for $(OhNo_CFLAGS)"